public static interface CxfRsEndpointBuilderFactory.CxfRsBuilders
| Modifier and Type | Method and Description |
|---|---|
default CxfRsEndpointBuilderFactory.CxfRsEndpointBuilder |
cxfrs(String path)
CXF-RS (camel-cxf)
Expose JAX-RS REST services using Apache CXF or connect to external
REST services using CXF REST client.
|
default CxfRsEndpointBuilderFactory.CxfRsEndpointBuilder |
cxfrs(String componentName,
String path)
CXF-RS (camel-cxf)
Expose JAX-RS REST services using Apache CXF or connect to external
REST services using CXF REST client.
|
default CxfRsEndpointBuilderFactory.CxfRsEndpointBuilder cxfrs(String path)
cxfrs:beanId:address
Path parameter: beanId
To lookup an existing configured CxfRsEndpoint. Must used bean: as
prefix.
Path parameter: address
The service publish address.path - beanId:addressdefault CxfRsEndpointBuilderFactory.CxfRsEndpointBuilder cxfrs(String componentName, String path)
cxfrs:beanId:address
Path parameter: beanId
To lookup an existing configured CxfRsEndpoint. Must used bean: as
prefix.
Path parameter: address
The service publish address.componentName - to use a custom component name for the endpoint
instead of the default namepath - beanId:addressApache Camel